Package com.avaya.clientservices.contact

## Interface ContactServiceListener

-     public interface ContactServiceListener

  Contact service listener.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onContactGroupsLoadingFailed​(ContactService contactService, ContactSourceType contactSourceType, ContactError providerError)` | Called when contact groups loading from an underlying provider fails.
    `void` | `onContactServiceAvailable​(ContactService contactService)` | Called when the contact service becomes available for use.
    `void` | `onContactServiceAvailableProviderListChanged()` | Called when the list of available contact providers changes.
    `void` | `onContactServiceCapabilitiesChanged()` | Called when any of the contact service's capabilities changes.
    `void` | `onContactServiceLoadingComplete​(ContactService contactService, ContactSourceType contactSourceType, boolean contactLoadingComplete)` | Called once all the contacts have been loaded from their underlying sources.
    `void` | `onContactServiceLoadingFailed​(ContactService contactService, ContactSourceType contactSourceType, boolean contactLoadingComplete, ContactError providerError)` | Called when the loading of contacts fails.
    `void` | `onContactServiceProviderFailed​(ContactService contactService, ContactSourceType sourceType, ContactError providerError)` | Called when an underlying contact provider fails.
    `void` | `onContactServiceSelfContactUpdated​(ContactService contactService, Contact contact)` | Called when self contact is updated.
    `void` | `onContactServiceUnavailable​(ContactService contactService)` | Called when the contact service becomes unavailable for use.

- - ### Method Detail

    - #### onContactServiceAvailable

          void onContactServiceAvailable​(ContactService contactService)

      Called when the contact service becomes available for use.
      Parameters:
        `contactService` - The contact service associated with the callback.

    - #### onContactServiceUnavailable

          void onContactServiceUnavailable​(ContactService contactService)

      Called when the contact service becomes unavailable for use.
      Parameters:
        `contactService` - The contact service associated with the callback.

    - #### onContactServiceProviderFailed

          void onContactServiceProviderFailed​(ContactService contactService,
                                              ContactSourceType sourceType,
                                              ContactError providerError)

      Called when an underlying contact provider fails.
      Parameters:
        `contactService` - The contact service associated with the callback.
        `sourceType` - The contact source type provided by this provider.
        `providerError` - The error code for the failure.

    - #### onContactServiceAvailableProviderListChanged

          void onContactServiceAvailableProviderListChanged()

      Called when the list of available contact providers changes. For example, if ACS provider has stopped working, an event will be triggered.

    - #### onContactServiceCapabilitiesChanged

          void onContactServiceCapabilitiesChanged()

      Called when any of the contact service's capabilities changes.

    - #### onContactServiceLoadingComplete

          void onContactServiceLoadingComplete​(ContactService contactService,
                                               ContactSourceType contactSourceType,
                                               boolean contactLoadingComplete)

      Called once all the contacts have been loaded from their underlying sources.
      Parameters:
        `contactService` - The contact service associated with the callback.
        `contactSourceType` - The contact source type provided by this provider.
        `contactLoadingComplete` - Boolean indicating whether contact loading has completed.

    - #### onContactServiceLoadingFailed

          void onContactServiceLoadingFailed​(ContactService contactService,
                                             ContactSourceType contactSourceType,
                                             boolean contactLoadingComplete,
                                             ContactError providerError)

      Called when the loading of contacts fails.
      Parameters:
        `contactService` - The contact service associated with the callback.
        `contactSourceType` - The contact source type provided by this provider.
        `contactLoadingComplete` - Boolean indicating whether contact loading has completed.
        `providerError` - The error code for the failure.

    - #### onContactGroupsLoadingFailed

          void onContactGroupsLoadingFailed​(ContactService contactService,
                                            ContactSourceType contactSourceType,
                                            ContactError providerError)

      Called when contact groups loading from an underlying provider fails.
      Parameters:
        `contactService` - The contact service associated with the callback.
        `contactSourceType` - The contact source type provided by this provider.
        `providerError` - The error code for the failure.

    - #### onContactServiceSelfContactUpdated

          void onContactServiceSelfContactUpdated​(ContactService contactService,
                                                  Contact contact)

      Called when self contact is updated.
      Parameters:
        `contactService` - The contact service associated with the callback.
        `contact` - The self contact.
      See Also:
        `ContactService.getSelfContact(GetSelfContactCompletionHandler)`